post
https://mediastoreapi-sandbox.cleeng.com/gifts/redeem/
Use this endpoint to redeem a gift. A gift can be redeemed after a successful verification with Verify a gift (GET /gifts/verification/{code}) endpoint.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
Response description
| Parameter | Type | Description |
|---|---|---|
message | string | Status confirmation, "OK" on success |
outcome | object | The redemption option that was actually applied |
outcome.mode | string | NEW, EXTEND, or SWITCH |
outcome.subscriptionId | integer | Subscription the gift was applied to |
outcome.offerId | string | Offer now active on the subscription |
outcome.previousOfferId | string | Offer that was active before redemption, if any |
outcome.giftedOfferId | string | Offer the gift grants |
outcome.sideEffects[] | array of string | Additional effects of this redemption, e.g. RESUMES_SUBSCRIPTION, CANCELS_SCHEDULED_SWITCH |
outcome.preview.endDate | integer (Unix timestamp) | Resulting subscription end date |
outcome.preview.timeAdded.days | integer | Days added to the subscription |
outcome.preview.carriedOver.days | integer | Days carried over from the current cycle, if applicable |
outcome.preview.renewal | object | Resulting renewal offer/billing cycle, if applicable |

